#{extends 'common/landing-base.html' /}
<section class="header-artikel">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Rekap LPSE</h2>
        </div>
    </div>
</section>
<br />
<section class="wrapper-rekap-ukpbj">
    <div class="ui container">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui breadcrumb">
                    <a href="@{core.LandingController.index()}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <div class="active section">Rekap LPSE</div>
                </div>
            </div>
        </div>
        #{dashboard.rekap-lpse-search-bar result:result, query:query, versiSpses:versiSpses /}
        <div class="ui divider hidden"></div>

        <div class="ui grid stackable" style="border-radius: 20px; border: 1px solid #2b2b2b;">
            <div class="eight wide column">
                #{common.donut-chart chartable: standardisasiChart, id: "canvasStandardisasi", title: 'Standardisasi LPSE', legend: true, scriptName: 'standardisasiScript'/}
            </div>
            <div class="eight wide column">
                #{common.donut-chart chartable: versiSpseChart, id: "canvasSpse", title: 'Versi SPSE', legend: true, scriptName: 'versiSpseScript'/}
            </div>
            <div class="sixteen wide column">
                <div id="lpse-map" style="height: 480px"></div>
            </div>
        </div>
        <div class="ui divider hidden"></div>
        <div class="ui grid stackable ">
            <div class="sixteen wide column">
                <table class="ui striped celled structured table padded comp-table-th ">
                    <thead>
                    <tr>
                        <th>Nama</th>
                        <th>Jumlah Standar Terpenuhi</th>
                        <th>Versi SPSE</th>
                    </tr>
                    </thead>
                    <tbody class="left aligned">
                    #{list items: result?.getItems(), as: 'rekap'}
                    <tr class="lpse-row" data-longitude="${rekap.longitude}" data-latitude="${rekap.latitude}">
                        <td>${rekap.nama}</td>
                        <td class="left aligned">${rekap.jumlah_standar}</td>
                        <td>${rekap.versi_spse}</td>
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
        #{pagination result /}
        <div class="ui divider hidden"></div>
    </div>
</section>

#{set 'moreStyles'}
    <link href="@{'/public/vendor/leaflet/leaflet.css'}" rel="stylesheet" type="text/css" />
    <link href="@{'/public/vendor/leaflet-markercluster/dist/MarkerCluster.Default.css'}" rel="stylesheet" type="text/css" />
#{/set}

#{set 'moreScripts'}
    <script src="@{'/public/vendor/leaflet/leaflet.js'}"></script>
    <script src="@{'/public/vendor/leaflet-markercluster/dist/leaflet.markercluster.js'}"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            const data = JSON.parse('${utils.common.JsonUtil.toJson(maps).raw()}') || []
            let map = L.map('lpse-map').setView([-2.846267564815841, 118.0012915451526], 4.5)
            map.zoomControl.setPosition('bottomright')
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                maxZoom: 19,
                attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>'
            }).addTo(map)
            if (data) {
                let markers = L.markerClusterGroup()
                for (let lpse of data) {
                    if (lpse.latitude && lpse.longitude) {
                        let marker = L.marker([lpse.latitude, lpse.longitude])
                            .bindPopup("<b>" + lpse.nama + "</b>" +
                                        "<br /><b>Alamat:</b> " + (lpse.alamat || '-') +
                                        "<br /><b>Versi Spse:</b> " + lpse.versi_spse +
                                        "<br /><b>Website: </b>" + (lpse.website || '-') +
                                        "<br /><b>Standardisasi: </b>" + lpse.jumlah_standar)
                         markers.addLayer(marker)
                    }
                }
                map.addLayer(markers)
            }
            $(document).on('click', '.lpse-row', function() {
                let longitude = $(this).data('longitude')
                let latitude = $(this).data('latitude')
                if (longitude && latitude) {
                    map.panTo(new L.LatLng(latitude, longitude));
                }
            })
        })
    </script>
    #{get 'moreScripts'/}
    #{get 'standardisasiScript' /}
    #{get 'versiSpseScript' /}
#{/set}
